<?php
/**
 * RCA SLIDESHOW
 *
 * @package 	RcaTheme.com
 * @subpackage 	mod_rca_slideshow
 * @author    	RcaTheme LLC https://www.rcatheme.com
 * @copyright 	Copyright (C) 2012 - 2025 RcaTheme.com, all rights reserved.
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Factory;

// Module Id and Class sfx
$moduleId = $module->id;
$moduleCssId = '#rca-slideshow-' . $module->id;

$get_moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx', ''));
$moduleclass_sfx = '';
if (!empty($get_moduleclass_sfx)) {
	$moduleclass_sfx = ' ' . $get_moduleclass_sfx;
}

// Basic settings
$slcontentWidth =		$params->get('slcontentWidth', '');
$autoPlay =				$params->get('autoPlay', '');
$autoPlaySpeed =		$params->get('autoPlaySpeed', '');
$infinite =				$params->get('infinite', '');
$adaptHeight =			$params->get('adaptHeight', '');

$navigation =			$params->get('navigation', '');
$navBehavior =			$params->get('navBehavior', '');

$navBg =				$params->get('navBg', '');
$navTxt =				$params->get('navTxt', '');
$borderRadius =			$params->get('borderRadius', '');
$navHoverBg =			$params->get('navHoverBg', '');
$navHoverTxt =			$params->get('navHoverTxt', '');
$dotsBg =				$params->get('dotsBg', '');
$dotsHoverBg =			$params->get('dotsHoverBg', '');

$configClasses = ' nav-' . $navBehavior;

// Slides
$rsImg_1 =				$params->get('rsImg_1', '');
$rsImgAlt_1 =			$params->get('rsImgAlt_1', '');
$rsMask_1 =				$params->get('rsMask_1', '');
$rsVCenter_1 =			$params->get('rsVCenter_1', '');
$contentAlign_1 =		$params->get('contentAlign_1', '');
$rsContent_1 =			$params->get('rsContent_1', '');

$rsImg_2 =				$params->get('rsImg_2', '');
$rsImgAlt_2 =			$params->get('rsImgAlt_2', '');
$rsMask_2 =				$params->get('rsMask_2', '');
$rsVCenter_2 =			$params->get('rsVCenter_2', '');
$contentAlign_2 =		$params->get('contentAlign_2', '');
$rsContent_2 =			$params->get('rsContent_2', '');

$rsImg_3 =				$params->get('rsImg_3', '');
$rsImgAlt_3 =			$params->get('rsImgAlt_3', '');
$rsMask_3 =				$params->get('rsMask_3', '');
$rsVCenter_3 =			$params->get('rsVCenter_3', '');
$contentAlign_3 =		$params->get('contentAlign_3', '');
$rsContent_3 =			$params->get('rsContent_3', '');

$rsImg_4 =				$params->get('rsImg_4', '');
$rsImgAlt_4 =			$params->get('rsImgAlt_4', '');
$rsMask_4 =				$params->get('rsMask_4', '');
$rsVCenter_4 =			$params->get('rsVCenter_4', '');
$contentAlign_4 =		$params->get('contentAlign_4', '');
$rsContent_4 =			$params->get('rsContent_4', '');

$rsImg_5 =				$params->get('rsImg_5', '');
$rsImgAlt_5 =			$params->get('rsImgAlt_5', '');
$rsMask_5 =				$params->get('rsMask_5', '');
$rsVCenter_5 =			$params->get('rsVCenter_5', '');
$contentAlign_5 =		$params->get('contentAlign_5', '');
$rsContent_5 =			$params->get('rsContent_5', '');

$rsImg_6 =				$params->get('rsImg_6', '');
$rsImgAlt_6 =			$params->get('rsImgAlt_6', '');
$rsMask_6 =				$params->get('rsMask_6', '');
$rsVCenter_6 =			$params->get('rsVCenter_6', '');
$contentAlign_6 =		$params->get('contentAlign_6', '');
$rsContent_6 =			$params->get('rsContent_6', '');

$rsImg_7 =				$params->get('rsImg_7', '');
$rsImgAlt_7 =			$params->get('rsImgAlt_7', '');
$rsMask_7 =				$params->get('rsMask_7', '');
$rsVCenter_7 =			$params->get('rsVCenter_7', '');
$contentAlign_7 =		$params->get('contentAlign_7', '');
$rsContent_7 =			$params->get('rsContent_7', '');

$rsImg_8 =				$params->get('rsImg_8', '');
$rsImgAlt_8 =			$params->get('rsImgAlt_8', '');
$rsMask_8 =				$params->get('rsMask_8', '');
$rsVCenter_8 =			$params->get('rsVCenter_8', '');
$contentAlign_8 =		$params->get('contentAlign_8', '');
$rsContent_8 =			$params->get('rsContent_8', '');

$rsImg_9 =				$params->get('rsImg_9', '');
$rsImgAlt_9 =			$params->get('rsImgAlt_9', '');
$rsMask_9 =				$params->get('rsMask_9', '');
$rsVCenter_9 =			$params->get('rsVCenter_9', '');
$contentAlign_9 =		$params->get('contentAlign_9', '');
$rsContent_9 =			$params->get('rsContent_9', '');

$rsImg_10 =				$params->get('rsImg_10', '');
$rsImgAlt_10 =			$params->get('rsImgAlt_10', '');
$rsMask_10 =				$params->get('rsMask_10', '');
$rsVCenter_10 =			$params->get('rsVCenter_10', '');
$contentAlign_10 =		$params->get('contentAlign_10', '');
$rsContent_10 =			$params->get('rsContent_10', '');

/* Load styles and scripts */
$assetsPath = Uri::base().'modules/mod_rca_slideshow/assets/';
$wa = Factory::getApplication()->getDocument()->getWebAssetManager();
$wa->registerAndUseStyle('mod_rca_slideshow', $assetsPath.'styles.css', [], [], []);
$wa->registerAndUseScript('mod_rca_slideshow_script', $assetsPath.'scripts.min.js', [], [], ['jquery']);

$customStyles =	
	'@media only all and (min-width: 1200px) {'
		.$moduleCssId . ' .rca-sc-block {
			width:' . $slcontentWidth . ';
		}
	}'
	.$moduleCssId . ' .rca-sl-arrow {
		background:' . $navBg . ';
		color:' . $navTxt . ';
		border-radius:' . $borderRadius . 'px;
	}'
	. $moduleCssId . ' .rca-sl-arrow .rca-sl-arrowicon {
		border-color:' . $navTxt . ';
	}'
	.$moduleCssId . ' .rca-sl-arrow:hover {
		background:' . $navHoverBg . ';
		color:' . $navHoverTxt . ';
	}'
	. $moduleCssId . ' .rca-sl-arrow:hover .rca-sl-arrowicon {
		border-color:' . $navHoverTxt . ';
	}'

	.$moduleCssId . ' ul.rcaslideshow-dots li button {
		background:' . $dotsBg . ';
	}'
	.$moduleCssId . ' ul.rcaslideshow-dots li button:hover,'
	.$moduleCssId . ' ul.rcaslideshow-dots li.rcaslideshow-active button {
		background:' . $dotsHoverBg . ';
	}
	';
$wa->addInlineStyle($customStyles);
$wa->addInlineScript('
	jQuery(document).ready(function($){
		$("' . $moduleCssId . ' .rca-slideshow-items").rcaslideshow({
			dots: '. ($navigation == 'arrows' ? 'false' : 'true') .',
			arrows: '. ($navigation == 'dots' ? 'false' : 'true') .',
			infinite: '. ($infinite ? 'true' : 'false') .',
			autoplay: '. ($autoPlay ? 'true' : 'false') .',
			autoplaySpeed: '. $autoPlaySpeed .',
			pauseOnHover: true,
			adaptiveHeight: '. ($adaptHeight ? 'true' : 'false') .',
			slidesToShow: 1,
			slidesToScroll: 1,
			prevArrow: \'<span class="rca-sl-arrow rca-sl-arrowprev"><span><i class="rca-sl-arrowicon"></i></span></span>\',
			nextArrow: \'<span class="rca-sl-arrow rca-sl-arrownext"><span><i class="rca-sl-arrowicon"></i></span></span>\',
		});
	});
', ['position' => 'after'], [], ['mod_rca_slideshow_script']);

require ModuleHelper::getLayoutPath('mod_rca_slideshow', $params->get('layout', 'default'));