<?php
/**
 * RCA SLIDESHOW
 *
 * @package 	RcaTheme.com
 * @subpackage 	mod_rca_slideshow
 * @author    	RcaTheme LLC https://www.rcatheme.com
 * @copyright 	Copyright (C) 2012 - 2025 RcaTheme.com, all rights reserved.
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 */

defined('_JEXEC') or die;
use Joomla\CMS\Uri\Uri;

if (!function_exists('rcaSlideshowItem')) {
	function rcaSlideshowItem($rsImg, $rsImgAlt, $rsSlideNo, $rsMask, $rsVCenter, $contentAlign, $rsContent) { ?>
		<?php if ($rsImg) : ?>
			<div class="rca-si-block rca_slide<?php echo $rsSlideNo;?>">
				<div class="rca-slideshow-item">
					<div class="rca-sc-image">
						<img src="<?php echo Uri::base().$rsImg;?>" alt="<?php echo $rsImgAlt;?>">
						<?php if ($rsMask) : ?>
							<div class="rca-slideshow-mask" style="opacity:<?php echo $rsMask;?>;"></div>
						<?php endif; ?>
					</div>
					<div class="rca-sc-block rca-sc-<?php echo $contentAlign;?><?php echo ($rsVCenter ? ' rca-sc-vcenter' : '') ?>">
						<div class="rca-sc-content">
							<?php echo $rsContent;?>
						</div>
					</div>
				</div>
			</div>
		<?php endif; ?>
	<?php }
}
?>

<div id="rca-slideshow-<?php echo $moduleId;?>" class="rca-slideshow<?php echo $moduleclass_sfx . $configClasses;?>">
	<div class="rca-slideshow-items">
		<?php if ($rsImg_1)
			// Slide _1
			rcaSlideshowItem($rsImg_1, $rsImgAlt_1, '_1', $rsMask_1, $rsVCenter_1, $contentAlign_1, $rsContent_1);
		?>
		<?php if ($rsImg_2)
			// Slide _2
			rcaSlideshowItem($rsImg_2, $rsImgAlt_2, '_2', $rsMask_2, $rsVCenter_2, $contentAlign_2, $rsContent_2);
		?>
		<?php if ($rsImg_3)
			// Slide _3
			rcaSlideshowItem($rsImg_3, $rsImgAlt_3, '_3', $rsMask_3, $rsVCenter_3, $contentAlign_3, $rsContent_3);
		?>
		<?php if ($rsImg_4)
			// Slide _4
			rcaSlideshowItem($rsImg_4, $rsImgAlt_4, '_4', $rsMask_4, $rsVCenter_4, $contentAlign_4, $rsContent_4);
		?>
		<?php if ($rsImg_5)
			// Slide _5
			rcaSlideshowItem($rsImg_5, $rsImgAlt_5, '_5', $rsMask_5, $rsVCenter_5, $contentAlign_5, $rsContent_5);
		?>
		<?php if ($rsImg_6)
			// Slide _6
			rcaSlideshowItem($rsImg_6, $rsImgAlt_6, '_6', $rsMask_6, $rsVCenter_6, $contentAlign_6, $rsContent_6);
		?>
		<?php if ($rsImg_7)
			// Slide _7
			rcaSlideshowItem($rsImg_7, $rsImgAlt_7, '_7', $rsMask_7, $rsVCenter_7, $contentAlign_7, $rsContent_7);
		?>
		<?php if ($rsImg_8)
			// Slide _8
			rcaSlideshowItem($rsImg_8, $rsImgAlt_8, '_8', $rsMask_8, $rsVCenter_8, $contentAlign_8, $rsContent_8);
		?>
		<?php if ($rsImg_9)
			// Slide _9
			rcaSlideshowItem($rsImg_9, $rsImgAlt_9, '_9', $rsMask_9, $rsVCenter_9, $contentAlign_9, $rsContent_9);
		?>
		<?php if ($rsImg_10)
			// Slide _10
			rcaSlideshowItem($rsImg_10, $rsImgAlt_10, '_10', $rsMask_10, $rsVCenter_10, $contentAlign_10, $rsContent_10);
		?>
	</div>
	<div class="rca-slideshow-arrows"></div>
	<div class="rca-slideshow-dots"></div>
</div>